Subject: bug#18379: 24.3.93; Bash font lock: pretty inconsistent treatment of `` and $()

From: Carlos Pita <[email-masked]>
Date: Mon, 01 Sep 2014 16:27:58 -0300

Hi Andreas,

> They have different quoting rules, with `...` using rules similar to
> double quotes, whereas $(...) is a fully nesting construct.

True, but both contains bash code for a subshell which is far from being
an uninterpreted string. IMO the important distintion to highlight is
"intepreted code" vs "uninterpreted string", not the ability to nest vs
the inability to nest (due to different quoting rules).

I've been checking how other editors do this. vim works the way I'm
proposing, while scintilla based editors do it the emacs way. Regarding
my second observation before, neither vim nor scintilla treat the
leading word in a command substution in any special way, which I think
is sensible.

Cheers
--
Carlos